<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (cabang) {
      <div>
        <h2 data-cy="cabangDetailsHeading"><span>Cabang</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ cabang.id }}</span>
          </dd>
          <dt><span>Kode</span></dt>
          <dd>
            <span>{{ cabang.kode }}</span>
          </dd>
          <dt><span>Nama</span></dt>
          <dd>
            <span>{{ cabang.nama }}</span>
          </dd>
          <dt><span>Alamat</span></dt>
          <dd>
            <span>{{ cabang.alamat }}</span>
          </dd>
          <dt><span>Kota</span></dt>
          <dd>
            <span>{{ cabang.kota }}</span>
          </dd>
          <dt><span>Provinsi</span></dt>
          <dd>
            <span>{{ cabang.provinsi }}</span>
          </dd>
          <dt><span>Pengadilan Negeri</span></dt>
          <dd>
            <span>{{ cabang.pengadilanNegeri }}</span>
          </dd>
          <dt><span>No Kontak</span></dt>
          <dd>
            <span>{{ cabang.noKontak }}</span>
          </dd>
          <dt><span>Record Status</span></dt>
          <dd>
            <span>{{ cabang.recordStatus }}</span>
          </dd>
          <dt><span>Update By</span></dt>
          <dd>
            <span>{{ cabang.updateBy }}</span>
          </dd>
          <dt><span>Update On</span></dt>
          <dd>
            <span>{{ cabang.updateOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Start Date</span></dt>
          <dd>
            <span>{{ cabang.startDate | formatMediumDate }}</span>
          </dd>
          <dt><span>Leasing</span></dt>
          <dd>
            @if (cabang.leasing) {
              <div>
                <a [routerLink]="['/leasing', cabang.leasing.id, 'view']">{{ cabang.leasing.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/cabang', cabang.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
